View Issue Details

IDProjectCategoryView StatusLast Update
12911Bug reports[All Projects] Response browsingpublic2018-01-15 10:39
ReporterolleAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.0.0-rc.x 
Target Version3.0.xFixed in Version3.0.0-rc.x 
Summary12911: JavaScript error when deleting response, modal doesn't fade out
Description

Uncaught TypeError: Cannot read property 'ajaxType' of undefined
at HTMLDivElement.<anonymous> (jquery.yiigridview.js:267)
at Function.each (jquery-3.1.1.js:368)
at jQuery.fn.init.each (jquery-3.1.1.js:157)
at jQuery.fn.init.update (jquery.yiigridview.js:260)
at jQuery.fn.init.$.fn.yiiGridView (jquery.yiigridview.js:422)
at Function.$.fn.yiiGridView.update (jquery.yiigridview.js:482)
at Object.success (admin_core.js:208)
at fire (jquery-3.1.1.js:3305)
at Object.fireWith [as resolveWith] (jquery-3.1.1.js:3435)
at done (jquery-3.1.1.js:9242)
(anonymous) @ jquery.yiigridview.js:267
each @ jquery-3.1.1.js:368
each @ jquery-3.1.1.js:157
update @ jquery.yiigridview.js:260
$.fn.yiiGridView @ jquery.yiigridview.js:422
$.fn.yiiGridView.update @ jquery.yiigridview.js:482
success @ admin_core.js:208
fire @ jquery-3.1.1.js:3305
fireWith @ jquery-3.1.1.js:3435
done @ jquery-3.1.1.js:9242
(anonymous) @ jquery-3.1.1.js:9484
XMLHttpRequest.send (async)
send @ jquery-3.1.1.js:9536
ajax @ jquery-3.1.1.js:9143
jQuery.ajax @ jquery-migrate-3.0.0.js:191
(anonymous) @ admin_core.js:201
dispatch @ jquery-3.1.1.js:5201
elemData.handle @ jquery-3.1.1.js:5009

Steps To Reproduce
  1. Create a survey
  2. Activate
  3. Execute
  4. Go to response browsing and try to delete response
  5. Confirmation modal does not fade, but the response is deleted.
TagsNo tags attached.
Complete LimeSurvey version number (& build)latest dev
I will donate to the project if issue is resolvedNo
Browser-
Database & DB-Version-
Operating System (Server)-
Webserver software & version-
PHP Version-

Activities

olle

olle

2017-11-14 15:19

administrator  

Selection_344.png (186,709 bytes)
c_schmitz

c_schmitz

2018-01-15 10:39

administrator   ~45740

Version 3.0.3 released.

Issue History

Date Modified Username Field Change
2017-11-14 15:19 olle New Issue
2017-11-14 15:19 olle File Added: Selection_344.png
2017-11-16 12:49 LouisGac Assigned To => markusfluer
2017-11-16 12:49 LouisGac Status new => assigned
2017-11-22 14:40 markusfluer Status assigned => resolved
2017-11-22 14:40 markusfluer Resolution open => fixed
2017-11-22 14:40 markusfluer Fixed in Version => 3.0.0-rc.x
2018-01-15 10:39 c_schmitz Note Added: 45740
2018-01-15 10:39 c_schmitz Status resolved => closed